Page MenuHomePhabricator

Remove Vector grid feature flagging code
Closed, ResolvedPublic3 Estimated Story PointsBUG REPORT

Description

The wgVectorGrid configuration flag was used by T312241. It can safely be removed once origin/wmf/1.39.0-wmf.21 is enabled everywhere (At earliest 29th July 2022). Removing the code will lead to better performance (no legacy layout code loaded) and easier to work with code.

The legacy layout CSS was retained for cached HTML. It can safely be removed in origin/wmf/1.39.0-wmf.22 (earliest merge date Tuesday 27th)

TODO

  • Remove VectorGrid feature flag and associated code
  • Remove wgVectorGrid from mediawiki configuration (blocked on TODO #1)
  • Remove all instances of .vector-layout-legacy class selector (earliest 27th)
  • Replace all instances of .vector-toc-visible with .vector-layout-grid (earliest 27th)
  • Remove instances of .mw-workspace-container

Event Timeline

Jdlrobson renamed this task from Remove wgVectorGrid from mediawiki configuration to Clean up layout code now grid is deployed everywhere.Jul 21 2022, 10:39 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson renamed this task from Clean up layout code now grid is deployed everywhere to Remove Vector grid feature flagging code.Jul 21 2022, 10:41 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)

@Jdlrobson Do we need to keep .vector-layout-grid to begin with?

@bwang no, once the branch is cut the class vector-layout-grid should no longer be needed, but run Pixel and beware CSS specificity when removing it. I personally would do this in stages - ie. merge vector-toc-visible and vector-layout-grid before removing it since there's a bit of risk with each stage here and it might lead to easier to read diffs.

Change 820217 had a related patch set uploaded (by Bernard Wang; author: Bernard Wang):

[mediawiki/skins/Vector@master] Remove vector-layout-legacy styles and grid feature flag

https://gerrit.wikimedia.org/r/820217

bwang removed bwang as the assignee of this task.Aug 5 2022, 2:31 PM

Change 820753 had a related patch set uploaded (by Bernard Wang; author: Bernard Wang):

[mediawiki/skins/Vector@master] Remove .vector-layout-grid, .mw-workspace-container classes

https://gerrit.wikimedia.org/r/820753

Change 820217 merged by jenkins-bot:

[mediawiki/skins/Vector@master] Remove vector-layout-legacy styles and grid feature flag

https://gerrit.wikimedia.org/r/820217

Change 820753 merged by jenkins-bot:

[mediawiki/skins/Vector@master] Follow up: Remove .vector-layout-grid, .mw-workspace-container classes

https://gerrit.wikimedia.org/r/820753

Change 824280 had a related patch set uploaded (by Bernard Wang; author: Bernard Wang):

[mediawiki/skins/Vector@master] Follow-up: Clean up left over vector legacy classes

https://gerrit.wikimedia.org/r/824280

Change 824280 merged by jenkins-bot:

[mediawiki/skins/Vector@master] Follow-up: Clean up left over vector legacy classes

https://gerrit.wikimedia.org/r/824280

Edtadros added a subscriber: Edtadros.

I'm not sure how to verify this.

This can skip QA as it's a technical change. I'll sign off.

Jdlrobson updated the task description. (Show Details)

@bwang we still need to clean up configuration.

Change 828616 had a related patch set uploaded (by Bernard Wang; author: Bernard Wang):

[operations/mediawiki-config@master] Remove Vector grid config

https://gerrit.wikimedia.org/r/828616

Change 828616 merged by jenkins-bot:

[operations/mediawiki-config@master] Remove Vector grid config

https://gerrit.wikimedia.org/r/828616

Mentioned in SAL (#wikimedia-operations) [2022-09-01T20:44:14Z] <thcipriani@deploy1002> Started scap: Backport for [[gerrit:828616|Remove Vector grid config (T313559)]], [[gerrit:829043|Disable sticky header edit experiment for idwiki, viwki (T315264)]]

Mentioned in SAL (#wikimedia-operations) [2022-09-01T20:44:42Z] <thcipriani@deploy1002> thcipriani and cjming and bwang: Backport for [[gerrit:828616|Remove Vector grid config (T313559)]], [[gerrit:829043|Disable sticky header edit experiment for idwiki, viwki (T315264)]] synced to the testservers: mwdebug2001.codfw.wmnet, mwdebug1001.eqiad.wmnet, mwdebug1002.eqiad.wmnet, mwdebug2002.codfw.wmnet

Jdlrobson updated the task description. (Show Details)

Thanks all!

Mentioned in SAL (#wikimedia-operations) [2022-09-01T20:49:58Z] <thcipriani@deploy1002> Finished scap: Backport for [[gerrit:828616|Remove Vector grid config (T313559)]], [[gerrit:829043|Disable sticky header edit experiment for idwiki, viwki (T315264)]] (duration: 05m 44s)